slice2js(1)

NAME
slice2js - The Slice to Javascript compiler.

SYNOPSIS
slice2js [options] [files]

DESCRIPTION
slice2js compiles Slice files to Javascript. Full documentation for slice2js is available online at:
https://doc.zeroc.com/ice/3.6/language-mappings/javascript-mapping/client-side-slice-to-javascript-mapping/slice2js-command-line-options

OPTIONS

-h, --help
    Displays help message.

-v, --version
    Displays the compiler version.

-DNAME
    Defines the preprocessor symbol NAME.

-DNAME=DEF
    Defines the preprocessor symbol NAME with the value DEF.

-UNAME
    Undefines the preprocessor symbol NAME.

-IDIR
    Add the directory DIR to the search path for #include directives.

-E
    Print the preprocessor output on stdout.

--output-dir DIR
    Place the generated files into directory DIR.

-d, --debug
    Print debug information showing the operation of the Slice parser.

--ice
    Permit use of the normally reserved prefix Ice for identifiers. Use this option only when compiling the source code for the Ice run time.

--underscore
    Permit use of underscores in Slice identifiers.

SEE ALSO
slice2cpp(1), slice2cs(1), slice2freeze(1), slice2freezej(1), slice2html(1), slice2java(1), slice2php(1), slice2py(1), slice2rb(1)